Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.sitemesh
Class GrailsPageFilter

    java.lang.Object
      com.opensymphony.sitemesh.webapp.SiteMeshFilter
          org.codehaus.groovy.grails.web.sitemesh.GrailsPageFilter

All Implemented Interfaces:
  Filter

    public class GrailsPageFilter

extends com.opensymphony.sitemesh.webapp.SiteMeshFilter

Extends the default page filter to overide the apply decorator behaviour if the page is a GSP

Since:
  Apr 19, 2006
Author:
  Graeme Rocher

Field Summary
`static String` | `GSP_SITEMESH_PAGE`

Constructor Summary
`GrailsPageFilter()`

Method Summary
`void` | `destroy()`
`void` | `doFilter(ServletRequest rq, ServletResponse rs, FilterChain chain)`
`void` | `init(FilterConfig filterConfig)`
`protected com.opensymphony.sitemesh.DecoratorSelector` | `initDecoratorSelector(com.opensymphony.sitemesh.webapp.SiteMeshWebAppContext webAppContext)`

Methods inherited from class com.opensymphony.sitemesh.webapp.SiteMeshFilter
`initContentProcessor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GSP_SITEMESH_PAGE

    public static final String GSP_SITEMESH_PAGE

Constructor Detail

### GrailsPageFilter

    public GrailsPageFilter()

Method Detail

### init

    public void init(FilterConfig filterConfig)

  Specified by:
    `init` in interface `Filter`
  Overrides:
    `init` in class `com.opensymphony.sitemesh.webapp.SiteMeshFilter`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `Filter`
  Overrides:
    `destroy` in class `com.opensymphony.sitemesh.webapp.SiteMeshFilter`

### doFilter

    public void doFilter(ServletRequest rq,
                         ServletResponse rs,
                         FilterChain chain)
                  throws IOException,
                         ServletException

  Specified by:
    `doFilter` in interface `Filter`
  Overrides:
    `doFilter` in class `com.opensymphony.sitemesh.webapp.SiteMeshFilter`
  Throws:
    `IOException`
    `ServletException`

### initDecoratorSelector

    protected com.opensymphony.sitemesh.DecoratorSelector initDecoratorSelector(com.opensymphony.sitemesh.webapp.SiteMeshWebAppContext webAppContext)

  Overrides:
    `initDecoratorSelector` in class `com.opensymphony.sitemesh.webapp.SiteMeshFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project